Subject: Re: [nwcrg] I-D Action: draft-irtf-nwcrg-coding-and-congestion-05.txt

From: Michael Welzl <[email-masked]>
Date: Thu, 18 Feb 2021 14:02:44 +0100

Hi,

Cutting some clutter:

>>> - My experience with NC is that the most gains are in low loss networks (far from network capacity) - where in fact CC protocols over react- is there research on appropriate metrics?
>> 
>> *low* loss, far from network capacity? Why would a CC mechanism over-react? When it’s far from the capacity, there’s nothing to react upon… did you mean that they are too cautious and flows terminate before even reaching the capacity limit?  I can imagine this being an interesting scenario for coding indeed, but I’d like to understand if this is what you meant.
> 
> What I meant is that the greatest descent due to errors in TCP occurs under very low “perceived” loss conditions (like less than 1%).
> 
I’m sorry, I’ll have to ask for more clarification, I’m afraid. With “perceived”, surely you mean loss that’s perceived at the transport layer? Low loss leads to the greatest descent there? What is it that you have in mind - situations where the cwnd has grown to be very large (because loss is low), and then, when loss happens, it’s devastating (because, e.g., halving it is a huge effect)?  I could agree with that.

> This is where the coding “gains” are the most important. Also some temporary “perceived” congestion (when there is in fact still capacity) can have longer term effect if the CC is very conservative (and yes someone will tell me it’s not fully the case anymore). All of this to say that the draft should be clearer on the type of research that is needed again when the performance is impacted 2 conflicting control loops.
> 
I don’t fully subscribe to this “2 conflicting control loops” view. It depends on the scenario, I guess. E.g., if congestion control operates on unreliable data transfer, and FEC operates on top, repairing losses, then these are quite separate functions, doing separate things, not conflicting.

Anyway, it’s fair that you ask for more clarity in the draft, but that’s why I’m trying to really understand your concrete questions or concerns.

Cheers,
Michael